## class DuplicateShapesCmd : public PasteShapesCmd

> command class for duplicating node shapes.

## Inheritance:

### Public Methods

  | DuplicateShapesCmd (ShapeView *v)
  virtual | ~DuplicateShapesCmd ()
  void | Abort ()
  void | Execute ()
  void | UnExecute ()
  const char* | GetName () const

### Inherited from PasteShapesCmd:

### Public Methods

void MakeBox()
void TrackMouse(TrackType aPhase, Point *anchorPoint, Point *previousPoint, Point *nextPoint)
void DrawOutLine(const Point *center)

### Protected Methods

ShapeView* GetView() const
List <Subject *> * GetSubjects() const
void SetSubjects(List<Subject *> *s)
List <GShape *> * GetShapes()
void SetShapes(List<GShape *> *s)
const Point* GetDelta()

### Inherited from Command:

### Public Classes

enum TrackType

### Public Methods

virtual void ReExecute()
bool CmdDone() const
int ScaleCorrect(int x) const
Point ScaleCorrect(const Point *pt) const
int Scale(int x) const
Point Scale(const Point *pt) const
void SayAborted()

### Protected Methods

void SayCommited()
void SayUndone()
DrawWindow* GetMainWindow() const
Viewer* GetViewer() const
Document* GetDocument() const
Grafport* GetGrafport() const
void SetCmdDone(bool b)

## Documentation

> command class for duplicating node shapes.

`DuplicateShapesCmd(ShapeView *v)`

`virtual ~DuplicateShapesCmd()`

`void Abort()`

`void Execute()`

`void UnExecute()`

`const char* GetName() const`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de